create table hotels(
  hotelid         integer primary key,
  name            varchar(200) not null,
  stars           integer not null,
  city            varchar(120) not null,
  address         varchar(300) not null,
  location        varchar(1200) not null,
  hotel_features  varchar(1200) not null,
  room_amenities varchar(1200) not null
  );


insert into hotels( hotelid, name, stars, city, address, location, hotel_features, room_amenities  ) values
( 1, 'Hotel Regina', 5, 'Paris', '2 Place Des Pyramides',
 'This romantic hotel is located in the heart of Paris, walking distance from Museum of Decorative Arts, Louvre Museum, and Palais Royal. Also nearby are Orsay Museum and Paris Opera.',
 'Fully renovated in 2015, the Hotel Regina provides a bar/lounge, a coffee shop/café, free wireless Internet access, 24-hour room service, and concierge service.',
 'Plasma televisions come with satellite channels. Guestrooms also feature complimentary wireless Internet access, air conditioning, and premium bedding.'
 ) ;

insert into hotels( hotelid, name, stars, city, address, location, hotel_features, room_amenities  ) values
( 2, 'Saint James Albany Paris Hotel Spa', 4, 'Paris', '202, rue de Rivoli, 1st arr',
 'Located in the centre of Paris, opposite to the Jardin des Tuileries and Le Louvre, this hotel offers free access to the 500 m² spa with an indoor pool, fitness centre and hammam. Free WiFi access is provided throughout.',
 'The hotel provides a 24-hour reception with a tour desk and a private shuttle service at an extra cost. It is just a 5-minute walk from the Musee d’Orsay and the Tuileries Metro station provides direct access to the Champs-Elysees. ',
 'Each soundproofed room and suite at the Saint-James & Albany Hotel-Spa is equipped with free internet access. Rooms also have satellite TV and a private bathroom.'
 ) ;

insert into hotels( hotelid, name, stars, city, address, location, hotel_features, room_amenities  ) values
( 3, 'Sofitel Paris Le Faubourg', 5, 'Paris', '15 Rue Boissy d''Anglas, 8th arr.',
 'Sofitel Le Faubourg, the designer hotel, is in the heart of Paris only 51 m from Place de la Concorde and 100 m from the famous Champs-Élysées. It is in 2 private mansions dating from the 18th and 19th centuries.',
 'In this luxury hotel there is a spa center that is open 24 hours a day, and features a fitness center and 2 hammams. You can also request a relaxing massage or beauty treatment.',
 'Air-conditioned rooms and suites at Sofitel Paris Le Faubourg are decorated in haute-couture style, and fully renovated by a famous interior designer. They are soundproof and equipped with a flat-screen TV with satellite channels, free Wi-Fi and a grand private bathroom.'
 ) ;

insert into hotels( hotelid, name, stars, city, address, location, hotel_features, room_amenities  ) values
( 4, 'Chateau Frontenac', 4, 'Paris', '54 rue Pierre Charron, 8th arr., 75008 Paris, France',
 'Chateau Frontenac is in Paris, 199 m from Avenue Champs-Élysées and half a kilometer from Arc de Triomphe. It offers air-conditioned rooms with a private bathroom and a flat-screen TV.',
 'Guests can enjoy an aperitif in the classy Art-Deco styled bar, Le 47, or marvel at the glass-roof over the lobby, with its immense Baccarat luster. A hot and cold buffet breakfast is served daily in the breakfast room from 7 am to 2 pm.',
 'All rooms are in a classic Louis XV décor with elegant furniture and crystal chandeliers. They all have views of the streets of Paris or the inner courtyard.'
 ) ;
insert into hotels( hotelid, name, stars, city, address, location, hotel_features, room_amenities  ) values
( 5, 'Hôtel California Champs Elysées', 4, 'Paris', '16 rue de Berri, 8th arr., 75008 Paris, France',
 'This hotel is located in central Paris, just 200 m from the Champs Elysées. It offers a fitness room and rooms with marble bathrooms and cable TV.',
 'The Hôtel California’s American buffet breakfast can be enjoyed in the comfort of your room or in the dining room.',
 'Guests can relax with a drink in le Rouge Marine Bar and enjoy French cuisine in the Cadre d''Or Restaurant. Drinks and meals can also be served on the hotel’s patio.'
 ) ;
insert into hotels( hotelid, name, stars, city, address, location, hotel_features, room_amenities  ) values
( 6, 'Hotel du Collectionneur Arc de Triomphe', 5, 'Paris', '51-57, rue de Courcelles, 8th arr',
 'Located a 10-minute walk from the Champs Elysées Avenue, this Art Deco hotel features a spa, fitness centre and on-site parking. Courcelle Metro Station (line 2) is 400 m away.',
 'You can relax at the spa, work out in the fitness room or take a stroll on the Andalusian patio. Parc Monceau is located right in front of the hotel and the Arc de Triomphe is a 10-minute walk from Hotel du Collectionneur. ',
 'Each spacious, air-conditioned room at the Collectionneur includes an LCD TV, minibar and safe. The elegant bathroom is fitted with hairdryer and bathrobe. A private terrace offering views of Paris are available in some rooms.'
 ) ;
insert into hotels( hotelid, name, stars, city, address, location, hotel_features, room_amenities  ) values
( 7, 'The Westin Paris Vendôme', 5, 'Paris', '3 rue de Castiglione, 1st arr',
 'The Westin Paris Vendôme, situated in central Paris, overlooks the Jardin des Tuileries and the Eiffel Tower. It has a fitness centre and a Spa with massage treatments.',
 'The restaurant offers gourmet cuisine and continental breakfast served in the chic dining area or in the stylish courtyard. Guests can enjoy a drink at the hotel’s bar.',
 'The elegant air-conditioned rooms have a modern décor and city or garden views. They are equipped with satellite TV and a private bathroom with bathrobe and slippers. All rooms are serviced by a lift. Wired internet is provided in the guest rooms at a surcharge, while there is free WiFi in the public areas and in the meeting rooms.'
 ) ;
insert into hotels( hotelid, name, stars, city, address, location, hotel_features, room_amenities  ) values
( 8, 'Four Seasons Hotel George V Paris', 5, 'Paris', '31, Avenue George V, 8th arr.,',
 'Just steps from the Champs-Elysées, with private terraces with commanding Paris city views, signature lavish flower displays, top-of-the-line spa treatments and Michelin-awarded dining, Four Seasons Hotel George V, Paris redefines luxury in the City of Light. Parc des Princes Stadium is 5.9 km from this luxury property.',
 'Classic French cuisine and lighter menus have earned Le Cinq restaurant three Michelin stars. The chic La Galerie is a favourite spot among fashionable Parisians for a drink or light bite. Le George offers light Mediterranean cuisine designed for sharing. The 7 m high conservatory offers views of the marble courtyard and houses the Orangerie Restaurant, where guests will be able to enjoy French Traditional cuisine with a contemporary touch. Le Bar proposes cocktails and light meals and its large windows open on to the famous Avenue George V.',
 'The palatial rooms and suites, many with private terraces overlooking the city of Paris, are fitted with an interactive TV, CD/DVD player and library and WiFi access. Espresso coffee machine with complimentary coffee pods, safe, mini bar, and in-room bread toasting service are standard.'
 ) ;

 insert into hotels( hotelid, name, stars, city, address, location, hotel_features, room_amenities  ) values
( 9, 'Castille Paris – Starhotels Collezione', 5, 'Paris', ' 33 Rue Cambon, 1st arr.',
 'Located in central Paris, Hotel Castille is just a short walk from the Jardins des Tuileries and Place Vendome. It offers contemporary rooms with elegant furnishings and it has a fitness centre.',
 'Hotel Castille''s restaurant, Assagio, is situated in the hotel''s courtyard. It serves authentic Italian cuisine and a continental breakfast. Alfresco dining is available during the summer months. The hotel also offers room service 24 hours a day.',
 'Guest rooms at the Castille Hotel are air-conditioned and equipped with a TV and iPod and iPhone docking stations. Guests are offered a choice of pillows. Each room has an en suite bathroom with bathrobes. All rooms are equipped with Wi-Fi.'
 ) ;

 insert into hotels( hotelid, name, stars, city, address, location, hotel_features, room_amenities  ) values
( 10, 'Golden Tulip Opera de Noailles', 4, 'Paris', '9, rue de la Michodière, 2nd arr.',
 'The contemporary Golden Tulip Opera de Noailles is located in the heart of Paris, only a few steps from the Opéra Garnier. It offers air conditioned rooms with free Wi-Fi.',
 'A buffet breakfast is served daily at Opera de Noailles and guests can enjoy breakfast in the Japanese garden and terrace when the weather is nice. The hotel also has a bar and a lounge area where guests can relax in front of an open fire.',
 'All the rooms are soundproofed and have a private bathroom with bathtub and shower, satellite TV and a minibar. Most of the rooms face the hotel’s garden and some of them have a terrace.'
 ) ;

 insert into hotels( hotelid, name, stars, city, address, location, hotel_features, room_amenities  ) values
( 11, 'Novotel Paris Centre Bercy', 5, 'Paris', '85 Rue De Bercy, 12th arr.',
 'This hotel is situated in front of the AccorHotels Arena. It offers accommodation just 220 m from Bercy Metro Station and 650 m from Gare de Lyon Train Station.',
 'The restaurant welcomes guests in a contemporary setting and serves traditional French cuisine. The Gourmet Bar is ideal for a relaxing drink.',
 'The air-conditioned guest rooms at Novotel Paris Centre Bercy have an elegant décor and are equipped with satellite TV. Free Wi-Fi access is available in each room.'
 ) ;

create table hotel_photos(
  hotelid integer not null,
  photoid integer not null,
  url varchar(400) not null,
  primary key ( hotelid, photoid ),
  constraint  fk_hotel_photo foreign key(hotelid) references hotels(hotelid )
  );


insert into hotel_photos( hotelid, photoid, url ) values ( 1, 1, 'hotel_james_1.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 1, 2, 'hotel_james_2.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 1, 3, 'hotel_james_3.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 1, 4, 'hotel_james_4.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 1, 5, 'hotel_james_5.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 2, 1, 'hotel_regina_1.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 2, 2, 'hotel_regina_2.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 2, 3, 'hotel_regina_3.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 2, 4, 'hotel_regina_4.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 3, 1, 'hotel_fauborg_1.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 3, 2, 'hotel_fabourg_2.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 3, 3, 'hotel_fabourg_3.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 3, 4, 'hotel_fabourg_4.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 4, 1, 'hotel_frontenac_1.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 4, 2, 'hotel_frontenac_2.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 4, 3, 'hotel_frontenac_3.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 4, 4, 'hotel_frontenac_4.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 4, 5, 'hotel_frontenac_5.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 5, 1, 'hotel_california_1.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 5, 2, 'hotel_california_2.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 5, 3, 'hotel_california_3.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 5, 4, 'hotel_california_4.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 6, 1, 'hotel_collectionneur_1.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 6, 2, 'hotel_collectionneur_2.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 6, 3, 'hotel_collectionneur_3.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 6, 4, 'hotel_collectionneur_4.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 6, 5, 'hotel_collectionneur_5.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 7, 1, 'hotel_vendome_1.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 7, 2, 'hotel_vendome_2.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 7, 3, 'hotel_vendome_3.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 7, 4, 'hotel_vendome_4.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 7, 5, 'hotel_vendome_5.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 8, 1, 'hotel_four_seasons_1.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 8, 2, 'hotel_four_seasons_2.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 8, 3, 'hotel_four_seasons_3.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 8, 4, 'hotel_four_seasons_4.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 9, 1, 'hotel_castille_1.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 9, 2, 'hotel_castille_2.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 9, 3, 'hotel_castille_3.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 9, 4, 'hotel_castille_4.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 9, 5, 'hotel_castille_5.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 10, 1, 'hotel_golden_tulip_1.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 10, 2, 'hotel_golden_tulip_2.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 10, 3, 'hotel_golden_tulip_3.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 10, 4, 'hotel_golden_tulip_4.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 11, 1, 'hotel_bercy_1.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 11, 2, 'hotel_bercy_2.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 11, 3, 'hotel_bercy_3.jpg' ) ;
insert into hotel_photos( hotelid, photoid, url ) values ( 11, 4, 'hotel_bercy_4.jpg' ) ;
